Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1062804 - No audio in many apps in KDE
Summary: No audio in many apps in KDE
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: phonon
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-08 03:40 UTC by Tom Horsley
Modified: 2015-06-29 15:04 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 15:04:50 UTC


Attachments (Terms of Use)
alsa-info output (deleted)
2014-02-08 03:40 UTC, Tom Horsley
no flags Details

Description Tom Horsley 2014-02-08 03:40:23 UTC
Created attachment 860798 [details]
alsa-info output

Description of problem:

Fully up to date fedora 20 system with a brand new user created. I cannot get any sound from many apps when running a KDE session. The pulseaudio daemon is runing. The sound settings all point to HDMI output (which is connected to my TV), yet lots of apps cannot seem to make noise.

If I run pavucontrol, I can see the sound level going up and down for apps that claim to be playing sound, but no actual sound comes out of the TV speakers. They all believe they are playing sound, but none of them actually are doing anything.

The apps I have tried so far: "play", "aplay", "mplayer". They are all totally silent. (They all show up in pavucontrol application display though). If I try youtube on konqueror, I get no sound.

Running youtube videos on google-chrome does give sound.
Running youtube on firefox also does give sound.

Playing music in amarok does give sound.

If I run "gnome-control-center sound" (a weird thing to do in KDE), it will play sound from the Test Speakers button.

If I log out of the KDE session and log in to a GNOME 3 session (or even an almost totally bare fvwm session), then I *do* get sound from mplayer and friends. (And they are speaking to pulse).


Version-Release number of selected component (if applicable):
No idea what actual component is involved here.

How reproducible:
100%

Steps to Reproduce:
1.see above
2.
3.

Actual results:
weird collection of apps that think they are playing sound, but nothing makes noise.

Expected results:
Everyone talking to pulse able to make noise equally well.

Additional info:

Comment 1 Tom Horsley 2014-02-09 03:29:11 UTC
OK, I played around with this some more and found that apps which were apparently silent would actually make noise on the headphone output, not HDMI even though I set all defaults to HDMI.

Somewhere in there, I rebooted the system as well and set the 2nd profile to "off" rather than headphones, now finally everyone is talking HDMI, but I have no idea why they were not doing so previously or why randomly selected apps would choose headphones rather than the default HDMI output.

Comment 2 Kevin Kofler 2014-02-09 13:49:38 UTC
When you say "all defaults", does that include the multimedia (Phonon) settings in KDE System Settings?

Comment 3 Tom Horsley 2014-02-09 16:32:21 UTC
I'm not sure what the names of things are :-). I know when I searched for "audio" I found an app that called itself something like "System Audio and Video Settings" which had a really annoying division of sounds into different classes like video, notifications, music, etc. I moved HDMI to the top of every list there, but still was getting no sound in the list of apps above.

It was only when I turned the 2nd sound profile off that things seemed to believe they should talk HDMI.

I don't really think this is just a KDE issue though because I don't normally use KDE, I merely tried it to see if things were different there after I stopped getting sound from mplayer in my normal custom login session where I run fvwm. I got sound back there as well by turning off the 2nd profile.

Comment 4 Fedora End Of Life 2015-05-29 10:51:04 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2015-06-29 15:04:50 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.